%define upstream_name	 forks
%define upstream_version 0.36

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 14

Summary:    Drop-in replacement for Perl threads using fork()
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module//%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Acme::Damn)
BuildRequires: perl(Attribute::Handlers)
BuildRequires: perl(Devel::Symdump)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(IO::Socket) >= 1.180.0
BuildRequires: perl(List::MoreUtils) >= 0.150.0
BuildRequires: perl(Scalar::Util) >= 1.110.0
BuildRequires: perl(Storable)
BuildRequires: perl(Sys::SigAction) >= 0.110.0
BuildRequires: perl(Test::More)
BuildRequires: perl(Time::HiRes)
BuildRequires: perl(if)
BuildRequires: perl-devel
# This provides is not getting picked up
Provides:       perl(forks::Devel::Symdump) = %{version}

%description
The "forks" pragma allows a developer to use threads without having to have
a threaded perl, or to even run 5.8.0 or higher.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
find -type f | xargs chmod 644
yes no | %{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
#%{__make} test

%install
%make_install

%files
%doc CREDITS META.json META.yml MYMETA.yml README SIGNATURE TODO
%{perl_vendorarch}/%{upstream_name}.pm
%{perl_vendorarch}/auto/%{upstream_name}/*
%{perl_vendorarch}/%{upstream_name}/*
%{perl_vendorarch}/threads/shared/*
%{_mandir}/*/*


%changelog
* Tue Jun 07 2022 umeabot <umeabot> 0.360.0-14.mga9
+ Revision: 1861903
- Rebuild for Perl 5.36

* Thu Mar 17 2022 umeabot <umeabot> 0.360.0-13.mga9
+ Revision: 1795771
- Mageia 9 Mass Rebuild

* Mon May 24 2021 umeabot <umeabot> 0.360.0-12.mga9
+ Revision: 1726699
- Rebuild for perl 5.34

* Wed Jun 17 2020 umeabot <umeabot> 0.360.0-11.mga8
+ Revision: 1594796
- Rebuild for perl 5.32

* Sun Feb 16 2020 umeabot <umeabot> 0.360.0-10.mga8
+ Revision: 1529467
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Tue Aug 27 2019 tmb <tmb> 0.360.0-9.mga8
+ Revision: 1433615
- rebuild for perl 5.30

* Fri Sep 21 2018 umeabot <umeabot> 0.360.0-8.mga7
+ Revision: 1294081
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 pterjan <pterjan> 0.360.0-7.mga7
+ Revision: 1250368
- Rebuild for perl 5.28

* Mon Oct 02 2017 tv <tv> 0.360.0-6.mga7
+ Revision: 1164413
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 0.360.0-5.mga7
+ Revision: 1149624
- Rebuild for perl ABI changes

* Sat Jul 22 2017 neoclust <neoclust> 0.360.0-4.mga7
+ Revision: 1126834
- Rebuild against new Perl 5.26

* Sun Jun 19 2016 pterjan <pterjan> 0.360.0-3.mga6
+ Revision: 1027638
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 0.360.0-2.mga6
+ Revision: 957337
- Mageia 6 Mass Rebuild

* Thu Jun 25 2015 sander85 <sander85> 0.360.0-1.mga6
+ Revision: 843613
- update to 0.36

* Wed Oct 15 2014 umeabot <umeabot> 0.350.0-4.mga5
+ Revision: 743161
- Second Mageia 5 Mass Rebuild

* Fri Sep 26 2014 tv <tv> 0.350.0-3.mga5
+ Revision: 724801
- add missing provides

* Tue Sep 16 2014 umeabot <umeabot> 0.350.0-2.mga5
+ Revision: 687030
- Mageia 5 Mass Rebuild

* Thu Jun 26 2014 jquelin <jquelin> 0.350.0-1.mga5
+ Revision: 640063
- update to 0.35

* Tue Jun 03 2014 pterjan <pterjan> 0.340.0-11.mga5
+ Revision: 631919
- Rebuild for perl 5.20

* Sat Oct 19 2013 umeabot <umeabot> 0.340.0-10.mga4
+ Revision: 525116
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 0.340.0-9.mga4
+ Revision: 432332
- perl 5.18.0 rebuild

* Wed May 29 2013 jquelin <jquelin> 0.340.0-8.mga4
+ Revision: 432202
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.340.0-7.mga3
+ Revision: 375447
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 0.340.0-6.mga3
+ Revision: 250935
- rebuild for perl 5.16

* Wed May 30 2012 jquelin <jquelin> 0.340.0-5.mga3
+ Revision: 250906
- rebuild for perl 5.16

* Wed May 30 2012 jquelin <jquelin> 0.340.0-4.mga3
+ Revision: 250641
- rebuild for perl 5.16

* Sat Jun 11 2011 spuhler <spuhler> 0.340.0-3.mga2
+ Revision: 104006
- increase rel for rebuild

* Sat Jan 22 2011 jquelin <jquelin> 0.340.0-2.mga1
+ Revision: 32558
- mageia rebuild
- imported package perl-forks


* Tue Jul 20 2010 Sandro Cazzaniga <kharec@mandriva.org> 0.340.0-2mdv2011.0
+ Revision: 555480
- rebuild

* Mon Jul 12 2010 Jérôme Quelin <jquelin@mandriva.org> 0.340.0-1mdv2011.0
+ Revision: 551213
- update to 0.34

* Sat Feb 13 2010 Jérôme Quelin <jquelin@mandriva.org> 0.330.0-1mdv2010.1
+ Revision: 505335
- rebuild using %%perl_convert_version

* Tue May 05 2009 Funda Wang <fwang@mandriva.org> 0.33-1mdv2010.0
+ Revision: 372064
- New version 0.33

* Thu Jul 31 2008 Thierry Vignaud <tv@mandriva.org> 0.23-6mdv2009.0
+ Revision: 257062
- rebuild

* Tue Jan 15 2008 Thierry Vignaud <tv@mandriva.org> 0.23-4mdv2008.1
+ Revision: 152084
- rebuild

* Sat Dec 22 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.23-3mdv2008.1
+ Revision: 136994
- rebuild
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

  + Erwan Velu <erwan@mandriva.org>
    - 0.23
      Adding "yes no |" to answer automatic questions


* Mon Jun 26 2006 Erwan Velu <erwan@seanodes.com> 0.19-1
- 0.19
- Remove patch0 merged upstream (thx erik)

* Mon Mar 06 2006 Erwan Velu <erwan@seanodes.com> 0.18-2mdk
- Applying Eric Rybskej Patch to solve SIGCHLD troubles

* Tue Jan 03 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.18-1mdk
- 0.18
- Add provides perl(forks)

* Sun Dec 04 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.17-1mdk
- 0.17
- Fix permissions

* Tue Jul 26 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.16-1mdk
- Initial Mandriva release

